For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
    • PATCHProfiles
      • POSTCreate a new task
      • DELDelete task
      • GETList of tasks
      • POSTReview a single task
      • POSTReview multiple tasks
      • PATCHUpdate Task By ID
LogoLogo
SupportDeel Home
EndpointsTasks

Update Task By ID

PATCH
/tasks/:task_id
PATCH
/rest/v2/tasks/:task_id
$curl -X PATCH https://api.letsdeel.com/rest/v2/tasks/4fb343ba-2d86-460b-9e3b-f0e5ef720a84 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {}
>}'
1{
2 "data": {
3 "created_at": "2025-10-14T11:30:00Z",
4 "updated_at": "2025-10-14T11:30:00Z"
5 }
6}

Applies a partial update to the specified task and returns whether the update was successful. Token scopes: tasks:write

Was this page helpful?
Previous

Delete Contract Termination Request

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

task_idstringRequired
The id of an existing task

Request

Task update object containing fields to modify.
dataobjectRequired

Response

The task was successfully updated.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication